***************
Goals Reference
***************

This page documents ``goals``, actions that can be taken on build targets.
A goal identifies some high-level goal that you wish to accomplish, such as
compiling your code.

A goal depends on other goals that must happen first; for example, Pants must
compile code before it can run tests.

Each goal is implemented by one or more Tasks. For example, the
``JavaCompile`` task compiles java code, and its installed in the ``compile``
goal.


**Goals and Tasks summary**


% for phase in sorted(phases.keys(), key=lambda phase: phase.name):
  * :ref:`gref_phase_${phase.name}` - ${phase.description}
% endfor


% for phase in sorted(phases.keys(), key=lambda phase: phase.name):
.. _gref_phase_${phase.name}:

<% stars = '=' * len(phase.name) %>
${phase.name}
${stars}

${phase.description}

Installed tasks:

% for goal in sorted(phases[phase], key=lambda goal: goal.task_type.__name__):

.. py:class:: ${goal.task_type.__name__}

${goal.task_type.__doc__}
% endfor


% endfor
