BUILD Dictionary
====================

A ``BUILD`` file defines one or more *build targets*.
A build target might create a jar or a deployable package,
run some tests or perform whatever actions you might associate
with the ant concept of a build target. This page describes the
commands and values available. Many of these define ``BUILD``
targets; some are handy utilities.

% for toc in tocs:
**${toc.t}** |
  % for e in toc.e:
`${e}`_ |
  % endfor

% endfor

% for defn in defns:
.. _bdict_${defn.nom}:

${defn.nom}
-------------------------------------------------------------------------------

%if defn.argspec:
.. py:function:: ${defn.nom}${defn.argspec}
%endif

%if defn.classdoc:
${defn.classdoc}
%endif

%if defn.msg_rst:
${defn.msg_rst}
%endif

%if defn.funcdoc:
${defn.funcdoc}
%endif

%if defn.methods:
**Methods:**
% for method in defn.methods:
  .. py:method:: ${method.nom}${method.argspec}

  ${method.funcdoc}
% endfor
%endif

% endfor


