<?xml version="1.0"?>

<!--
=================================================================================================
Copyright 2011 Twitter, Inc.
_________________________________________________________________________________________________
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this work except in compliance with the License.
You may obtain a copy of the License in the LICENSE file, or at:

 http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
=================================================================================================
-->

<!-- generated by pants! -->
<ivy-module version="2.0"
            xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
            xsi:noNamespaceSchemaLocation="http://ant.apache.org/ivy/schemas/ivy.xsd"
            xmlns:m="http://ant.apache.org/ivy/maven">

  <info organisation="${lib.org}" module="${lib.module}"
  % if lib.version:
    revision="${lib.version}"
  % endif
  />

  % if lib.is_idl:
  <configurations defaultconfmapping="idl->runtime()">
  % else:
  <configurations defaultconfmapping="default->default(compile),runtime();sources->sources;docs->@,javadoc;idl->runtime();">
  % endif
    <conf name="default" description="normal build"/>
    <conf name="sources" description="java sources"/>
    <conf name="docs" description="javadocs"/>
    <conf name="changelog" description="changelog for artifact pushes"/>
    <conf name="test" visibility="private" description="build and run tests"/>
    <conf name="provided" description="provided by target environment"/>
    <conf name="idl" description="thrift idl files"/>
  </configurations>

  % if lib.publications:
  <publications>
    <artifact conf="default" type="jar" ext="jar"/>
    <artifact conf="default" type="pom" ext="pom"/>
    % if 'sources' in lib.publications:
    <artifact conf="sources" type="source" m:classifier="sources" ext="jar"/>
    % endif
    % if 'docs' in lib.publications:
    <artifact conf="docs" type="doc" m:classifier="javadoc" ext="jar"/>
    % endif
    % if 'changelog' in lib.publications:
    <artifact conf="changelog" type="CHANGELOG" m:classifier="CHANGELOG" ext="txt"/>
    % endif
    % if 'idl' in lib.publications:
    <artifact conf="idl" type="idl" m:classifier="idl" ext="jar"/>
    % endif
  </publications>
  % endif

  % if lib.dependencies:
  <dependencies>
    % for dependency in lib.dependencies:
    <dependency org="${dependency.org}"
                name="${dependency.module}"
                rev="${dependency.version}"
      % if dependency.force:
                force="true"
      % endif
      % if dependency.is_idl:
                conf="idl"
      % else:
                conf="${dependency.configurations}"
      % endif
      % if not dependency.transitive:
                transitive="false"
      % endif
      % if dependency.mutable:
                changing="true"
      % endif
    >
      % if dependency.artifacts:
        % for artifact in dependency.artifacts:
      <artifact name="${artifact.name}" type="${artifact.type_}"
          % if artifact.ext:
        ext="${artifact.ext}"
          % endif
          % if artifact.conf:
        conf="${artifact.conf}"
          % endif
          % if artifact.url:
        url="${artifact.url}"
          % endif
          % if artifact.classifier:
        m:classifier="${artifact.classifier}"
          % endif
      />
        % endfor
      % endif
      % if dependency.excludes:
        % for exclude in dependency.excludes:
          % if exclude.name:
      <exclude matcher="exactOrRegexp" org="${exclude.org}" module="${exclude.name}"/>
          % else:
      <exclude matcher="exactOrRegexp" org="${exclude.org}"/>
          % endif
        % endfor
      % endif
    </dependency>
    % endfor
    % if lib.excludes:
      % for exclude in lib.excludes:
        % if exclude.name:
    <exclude matcher="exactOrRegexp" org="${exclude.org}" module="${exclude.name}"/>
        % else:
    <exclude matcher="exactOrRegexp" org="${exclude.org}"/>
        % endif
      % endfor
    % endif
    % if lib.overrides:
      % for override in lib.overrides:
    <override org="${override.org}" module="${override.module}" rev="${override.version}"/>
      % endfor
    % endif
  </dependencies>
  % endif
</ivy-module>
